r1140 - trunk/varnish-cache

des at projects.linpro.no des at projects.linpro.no
Thu Oct 5 16:56:50 CEST 2006


Author: des
Date: 2006-10-05 16:56:50 +0200 (Thu, 05 Oct 2006)
New Revision: 1140

Modified:
   trunk/varnish-cache/autogen.sh
Log:
Older versions of automake generate incorrect Makefiles, and automake's
own mechanism for specifying a required version doesn't seem to work.
Hack autogen.sh to check which version of automake is installed.

Modified: trunk/varnish-cache/autogen.sh
===================================================================
--- trunk/varnish-cache/autogen.sh	2006-10-05 14:20:29 UTC (rev 1139)
+++ trunk/varnish-cache/autogen.sh	2006-10-05 14:56:50 UTC (rev 1140)
@@ -3,13 +3,29 @@
 # $Id$
 #
 
-set -ex
-
 if [ -d /usr/local/gnu-autotools/bin ] ; then
 	PATH=/usr/local/gnu-autotools/bin:${PATH}
 	export PATH
 fi
 
+automake_version=$(automake --version | tr ' ' '\n' | egrep '^[0-9]\.[0-9a-z.-]+')
+if [ -z "$automake_version" ] ; then
+    echo "unable to determine automake version"
+    exit 1
+else
+    case $automake_version in
+	1.9*|[23456789].*)
+	    ;;
+	*)
+	    echo "your version of automake ($automake_version) is too old;" \
+		"you need 1.9 or newer."
+	    exit 1
+	    ;;
+    esac
+fi
+
+set -ex
+
 aclocal
 libtoolize --copy --force
 autoheader




More information about the varnish-commit mailing list